For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Group object
          • GET/groups
          • GET/groups/{id}
          • GET/groups/types
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsGroups

/groups/{id}

GET
/hris/v1/groups/:id
GET
/api/hris/v1/groups/:id
$curl -G https://api.merge.dev/api/hris/v1/groups/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=parent_group \
> -d remote_fields=type \
> -d show_enum_origins=type
200Retrieved
1{
2 "id": "134e0111-0f67-44f6-98f0-597000290bb3",
3 "remote_id": "800293",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "parent_group": "2ef51b11-2c4e-4b02-8d1d-50592d9e96ef",
7 "name": "COST_CENTER_US",
8 "type": "COST_CENTER",
9 "is_commonly_used_as_team": true,
10 "remote_was_deleted": true,
11 "field_mappings": {
12 "organization_defined_targets": {
13 "custom_key": "custom_value"
14 },
15 "linked_account_defined_targets": {
16 "custom_key": "custom_value"
17 }
18 },
19 "remote_data": [
20 {
21 "path": "/group",
22 "data": null
23 }
24 ]
25}

Returns a Group object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/groups

Next

/groups/types

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
parent_groupstring or nullformat: "uuid"
The parent group for this group.
namestring or null
The group name.
typeenum or null

The Group type returned directly from the third-party.

  • TEAM - TEAM
  • DEPARTMENT - DEPARTMENT
  • COST_CENTER - COST_CENTER
  • BUSINESS_UNIT - BUSINESS_UNIT
  • GROUP - GROUP
Allowed values:
is_commonly_used_as_teamboolean or null
Indicates whether the Group refers to a team in the third party platform. Note that this is an opinionated view based on how Merge observes most organizations representing teams in each third party platform. If your customer uses a platform different from most, there is a chance this will not be correct.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more